{--------------------------------------------------------}
{
{    iumsg - mdulo de mensagens do ImapUtil
{
{    Autores:  Antonio Borges e Fabiano Ferreira
{
{    Em abril/2013
{
{--------------------------------------------------------}

unit iumsg;

interface

uses
    dvcrt,
    dvWin,
    dvWav,
    windows,
    sysUtils;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);
procedure limpaBaixo (y: integer);

implementation

{--------------------------------------------------------}
{              descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    if nomeArq = 'IUINIC' then
        s := 'Imaputil - verso '
    else
    if nomeArq = 'IUOPCAO' then
        s := 'As opes so:'
    else
    if nomeArq = 'IUOP_ESC' then
        s := 'ESC - Cancelar'
    else
    if nomeArq = 'IUSELSET' then
        s := 'Selecione com as setas a opo desejada:'
    else
    if nomeArq = 'IUCRIA' then
        s := 'C - criar pasta'
    else
    if nomeArq = 'IUSELPAS' then
        s :=  'P - escolher pasta'
    else
    if nomeArq = 'IUFOLPAS' then
        s := 'F - folhear pasta'
    else
    if nomeArq = 'IUAPAGP' then
        s := 'A - apagar pasta'
    else
    if nomeArq = 'IURENPAS' then
        s := 'N - renomear pasta'
    else
    if nomeArq = 'IUINFOP' then
        s := 'I - informar a pasta atual'
    else
    if nomeArq = 'IUNOVLOG' then
        s := 'L - novo login'

    else
    if nomeArq = 'IUABRCAR' then
        s := 'ENTER - abrir a carta'
    else
    if nomeArq = 'IUINFO' then
        s := 'I - informaes sobre a carta'
    else
    if nomeArq = 'IUOPAPAG' then
        s := 'A - apagar carta'
    else
    if nomeArq = 'IUOPMOVE' then
        s := 'M - mover cartas para outra pasta'
    else
    if nomeArq = 'IUOPCOPI' then
        s := 'C - copiar cartas para outra pasta'
    else
    if nomeArq = 'IUOPGUAR' then
        s := 'G - guardar na pasta de recebidas do cartavox'
    else
    if nomeArq = 'IUOPZERA' then
        s := 'Z - zerar a pasta'
    else
    if nomeArq = 'IUNAOSEI' then
        s := 'No sei fazer isso no'
    else
    if nomeArq = 'IUFIM' then
        s := 'Fim do processamento'

    else
    if nomeArq = 'IUPVAZIA' then
        s := 'A pasta est vazia'
    else
    if nomeArq = 'IUMOMENT' then
        s := 'Um momento...'
    else
    if nomeArq = 'IUERRENV' then
        s := 'Erro ao trazer os envelopes'
    else
    if nomeArq = 'IUABRIND' then
        s := 'Abrindo'

    else
    if nomeArq = 'IUDATA' then
        s := 'Data: '
    else
    if nomeArq = 'IUENVPOR' then
        s := 'Enviado por: '
    else
    if nomeArq = 'IUASSUNT' then
        s := 'Assunto: '
    else
    if nomeArq = 'IUAPTENT' then
        s := 'Aperte Enter para continuar...'

    else
    if nomeArq = 'IULOGIOK' then
        s := 'Login bem sucedido.'
    else
    if nomeArq = 'IUERLOGI' then
        s := 'Erro no processamento da conta ou senha.'
    else
    if nomeArq = 'IUINFNOM' then
        s := 'Informe o nome do servidor imap de correio:'
    else
    if nomeArq = 'IUUSASEG' then
        s := 'Servidor usa segurana? '
    else
    if nomeArq = 'IUCONTA' then
        s := 'Qual a conta? '
    else
    if nomeArq = 'IUSENHA' then
        s := 'Qual a senha? '

    else
    if nomeArq = 'IUNUMCAR' then
        s := 'Nmero de cartas: '
    else
    if nomeArq = 'IUESCOLP' then
        s := 'ImapUtil - escolhendo pastas'
    else
    if nomeArq = 'IUESETAP' then
        s := 'Escolha com as setas a pasta desejada'
    else
    if nomeArq = 'IUDESIST' then
        s := 'Desistiu'
    else
    if nomeArq = 'IUNSEL' then
        s := 'No foi possvel selecionar, voltando a INBOX'
    else
    if nomeArq = 'IUPASCRI' then
        s := 'Qual o nome da pasta a criar?'
    else
    if nomeArq = 'IUQERSEL' then
        s := 'Quer selecion-la aps a criao? '
    else
    if nomeArq = 'IUNAOCRI' then
        s := 'No consegui criar.'
    else
    if nomeArq = 'IUOK' then
        s := 'OK!'
    else
    if nomeArq = 'IUAPPAST' then
        s := 'ImapUtil - apagando pasta'
    else
    if nomeArq = 'IUESCPAP' then
        s := 'Escolha com as setas a pasta a apagar'
    else
    if nomeArq = 'IUPASNAP' then
        s := 'Pasta no foi apagada.'
    else
    if nomeArq = 'IUPASAP' then
        s := 'OK, pasta apagada.'
    else
    if nomeArq = 'IURENOP' then
        s := 'ImapUtil - renomeando pasta'
    else
    if nomeArq = 'IUESCRNO' then
        s := 'Escolha com as setas a pasta a renomear'
    else
    if nomeArq = 'IUNOVNOM' then
        s := 'Editore o novo nome:'
    else
    if nomeArq = 'IUNAORNO' then
        s := 'No consegui renomear a pasta.'
    else
    if nomeArq = 'IUOKRNO' then
        s := 'OK, pasta renomeada.'
    else
    if nomeArq = 'IUOPPAST' then
        s := 'Qual a opo de pasta: '

    else
    if nomeArq = 'IUFOLHEN' then
        s := 'ImapUtil - Folheando cartas de '
    else
    if nomeArq = 'IUNAOAPA' then
        s := 'Carta no foi apagada'
    else
    if nomeArq = 'IUPROBLE' then
        s := 'Operao concluda com problemas'

    else
    if nomeArq = 'IUTENCON' then
        s := 'Tentando estabelecer conexo'
    else
    if nomeArq = 'IUCONECTE' then
        s := 'Por favor, conecte seu computador  Internet.'
    else
    if nomeArq = 'IUNAOCON' then
        s := 'No consegui conectar com o servidor.'
    else
    if nomeArq = 'IUPROBLM' then
        s := 'Problemas na comunicao com o servidor.'
    else
    if nomeArq = 'IUCONCAI' then
        s := 'Conexo caiu!'

    else
    if nomeArq = 'IUCARAMB' then
        s := 'Caramba, quantas cartas!'
    else
    if nomeArq = 'IUCOPSEL' then
        s := 'Opo: S - copia as selecionadas, Enter - copia esta  '
    else
    if nomeArq = 'IUCPPARA' then
        s := 'Copiando para '
    else
    if nomeArq = 'IUERRCOP' then
        s := 'Erro durante a cpia.'
    else
    if nomeArq = 'IUSEMVLT' then
        s := 'Tem certeza? Isso no tem volta!'
    else
    if nomeArq = 'IUNAOZER' then
        s := 'Pasta no pode ser zerada'
    else
    if nomeArq = 'IUREMSEL' then
        s := 'Opo: S - remove as selecionadas, Enter - Remove esta  '
    else
    if nomeArq = 'IUNRECUP' then
        s := 'Problemas ao recuperar a carta.'
    else
    if nomeArq = 'IUGUASEL' then
        s := 'Opo: S - guarda as selecionadas, Enter - Guarda esta  '
    else
    if nomeArq = 'IUERREST' then
        s := 'Erro ao buscar a estrutura da carta'
    else
    if nomeArq = 'IMARQGRV' then
        s := 'Editore o nome do arquivo a gravar:'
    else
    if nomeArq = 'IMPARSET' then
        s := 'Escolha a parte com as setas: '
    else
    if nomeArq = 'IUNUMPAR' then
        s := 'Nmero de partes desta carta: '
    else
    if nomeArq = 'IUQUEFAZ' then
        s := 'Que fazer com esta parte? '
    else
    if nomeArq = 'IUCNTFOL' then
        s := 'Continue folheando...'
    else
    if nomeArq = 'IUINFPAR' then
        s := 'I - informaes sobre a parte'
    else
    if nomeArq = 'IULEIRAP' then
        s := 'L - leitura rpida'
    else
    if nomeArq = 'IUEDIVOX' then
        s := 'E - leitura com edivox'
    else
    if nomeArq = 'IUGRAVAR' then
        s := 'G - gravar'

    else
    if nomeArq = 'IUERRTRZ' then
        s := 'Erro ao trazer a carta'
    else
    if nomeArq = 'IULEINAO' then
        s := 'No sei fazer uma leitura rpida disso'
    else
    if nomeArq = 'IUERRGRV' then
        s := 'Erro de gravao'
    else
    if nomeArq = 'IUERRCOP' then
        s := 'Erro de cpia'
    else
    if nomeArq = 'IUSOTEXT' then
        s := 'No posso: s envio textos planos ou html'
    else
    if nomeArq = 'IUERRDEC' then
        s := 'Erro na decodificao - no posso ler'
    else
    if nomeArq = 'IUERRCHM' then
        s := 'Erro ao chamar o leitor'
    else
    if nomeArq = 'IUPASIGU' then
        s := 'As pastas de origem e destino tem que ser diferentes!'

    else
        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;
begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom ('EF_' + nomeArq) then
        sintSom ('EF_' + nomeArq);

    if existeArqSom (nomeArq) then
        sintSom (nomeArq)
    else
        sintetiza (s);
end;

{--------------------------------------------------------}
{       limpa debaixo de certa posio da tela
{--------------------------------------------------------}

procedure limpaBaixo (y: integer);
var i: integer;
begin
    for i := y to 25 do
        begin
            gotoxy (1, i);
            clreol;
        end;
    gotoxy (1, y);
end;

end.
